import Vue from 'vue';
import Vuex, {Store} from 'vuex';
import state from './state';
import getters from './getters';
import mutations from './mutations';
import actions from './actions';

Vue.use(Vuex);

const store: Store<any> = new Vuex.Store({
  state,
  getters,
  mutations,
  actions,
  strict: true
});

export default store; // todo 不需要则移除
